Loading...
Searching...
No Matches
caf::scoped_actor Class Reference

A scoped handle to a blocking actor. More...

`#include <scoped_actor.hpp>`

## Public Types

using | signatures = none_t

## Public Member Functions

| scoped_actor (actor_system &sys, bool hide=false)
| scoped_actor (const scoped_actor &)=delete
scoped_actor & | operator= (const scoped_actor &)=delete
| scoped_actor (scoped_actor &&)=delete
scoped_actor & | operator= (scoped_actor &&)=delete
| operator bool () const
actor_system & | home_system () const
blocking_actor * | operator-> () const
blocking_actor & | operator* () const
actor_addr | address () const
blocking_actor * | ptr () const

## Static Public Attributes

static constexpr bool | has_weak_ptr_semantics = false

## Friends

template<class, class, int>
class | actor_cast_access

## Related Symbols

(Note that these are not member symbols.)
std::string | to_string (const scoped_actor &x)

## Detailed Description

A scoped handle to a blocking actor.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/scoped_actor.hpp